Package com.collabnet.ce.soap60.webservices.frs

# Interface IFrsAppSoap

All Known Implementing Classes:
  `FrsAppSoap`, `FrsAppSoapMockStub`, `FrsAppSoapStub`

public interface IFrsAppSoap

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FrsFileSoapDO`
  `createFrsFile(String sessionId, String releaseId, String fileName, String mimeType, String fileId)`
  Creates a new FRS file and adds it to the specified release.
  `FrsFile2SoapDO`
  `createFrsFile2(String sessionId, String releaseId, String fileName, String mimeType, String fileId)`
  Creates a new FRS file and adds it to the specified release.
  `PackageSoapDO`
  `createPackage(String sessionId, String projectId, String title, String description, boolean isPublished)`
  Creates a new FRS package.
  `ReleaseSoapDO`
  `createRelease(String sessionId, String packageId, String title, String description, String status, String maturity)`
  Creates a new release within a specified package.
  `void`
  `deleteFrsFile(String sessionId, String frsFileId)`
  Deletes the specified file.
  `void`
  `deletePackage(String sessionId, String packageId)`
  Deletes the specified package.
  `void`
  `deleteRelease(String sessionId, String releaseId)`
  Deletes the specified release.
  `ArtifactSoapList`
  `getArtifactListReportedInRelease(String sessionId, String releaseId)`
  Lists artifacts that were found in the given release.
  `Artifact2SoapList`
  `getArtifactListReportedInRelease2(String sessionId, String releaseId)`
  Lists artifacts that were found in the given release.
  `ArtifactSoapList`
  `getArtifactListResolvedInRelease(String sessionId, String releaseId)`
  Lists artifacts that were resolved in the given release.
  `Artifact2SoapList`
  `getArtifactListResolvedInRelease2(String sessionId, String releaseId)`
  Lists artifacts that were resolved in the given release.
  `FrsFileSoapDO`
  `getFrsFileData(String sessionId, String frsFileId)`
  Gets FRS file data.
  `FrsFile2SoapDO`
  `getFrsFileData2(String sessionId, String frsFileId)`
  Gets FRS file data.
  `String`
  `getFrsFileId(String sessionId, String frsFileId)`
  Returns a temporary file storage object id to download an FRS file.
  `FrsFileSoapList`
  `getFrsFileList(String sessionId, String releaseId)`
  Returns a list of files within a release.
  `FrsFile2SoapList`
  `getFrsFileList2(String sessionId, String releaseId)`
  Returns a list of files within a release.
  `PackageSoapDO`
  `getPackageData(String sessionId, String packageId)`
  Returns package data.
  `PackageSoapList`
  `getPackageList(String sessionId, String projectId)`
  Lists packages within a project.
  `ReleaseSoapDO`
  `getReleaseData(String sessionId, String releaseId)`
  Returns the specified release data.
  `ReleaseSoapList`
  `getReleaseList(String sessionId, String packageId)`
  Lists the releases within a specified package.
  `void`
  `setPackageData(String sessionId, PackageSoapDO packageData)`
  Returns package data.
  `void`
  `setReleaseData(String sessionId, ReleaseSoapDO releaseData)`
  Sets the specified release data.

- ## Method Details

  - ### createPackage

    PackageSoapDO createPackage(String sessionId, String projectId, String title, String description, boolean isPublished) throws RemoteException
    Creates a new FRS package.
    Parameters:
      `sessionId` - User session id.
      `projectId` - The project id.
      `title` - Package title.
      `description` - Package description.
      `isPublished` - Whether the package should be published
    Returns:
      Newly created package object.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `IllegalArgumentFault` - when one or more parameters are invalid.
      `SystemFault` - when an unexpected system error occurs.
      `RemoteException`
    Since:
      4.1

  - ### getPackageList

    PackageSoapList getPackageList(String sessionId, String projectId) throws RemoteException
    Lists packages within a project.
    Parameters:
      `sessionId` - User session id.
      `projectId` - The project id.
    Returns:
      List of packages within the specified project.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `SystemFault` - when an unexpected system error occurs.
      `RemoteException`
    Since:
      4.1

  - ### getPackageData

    PackageSoapDO getPackageData(String sessionId, String packageId) throws RemoteException
    Returns package data.
    Parameters:
      `sessionId` - User session id.
      `packageId` - The package id.
    Returns:
      Package object data.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `SystemFault` - when an unexpected system error occurs.
      `RemoteException`
    Since:
      4.1

  - ### setPackageData

    void setPackageData(String sessionId, PackageSoapDO packageData) throws RemoteException
    Returns package data.

    Requires OperationConstants.PACKAGE_EDIT_EDIT

    Parameters:
      `sessionId` - User session id.
      `packageData` - The package object to edit.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `VersionMismatchFault` - when package data is stale.
      `IllegalArgumentFault` - when one or more parameters are invalid.
      `SystemFault` - when an unexpected system error occurs.
      `RemoteException`
    Since:
      4.1

  - ### deletePackage

    void deletePackage(String sessionId, String packageId) throws RemoteException
    Deletes the specified package.
    Parameters:
      `sessionId` - User session id.
      `packageId` - The package id.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `SystemFault` - when an unexpected system error occurs.
      `RemoteException`
    Since:
      4.1

  - ### getReleaseList

    ReleaseSoapList getReleaseList(String sessionId, String packageId) throws RemoteException
    Lists the releases within a specified package.
    Parameters:
      `sessionId` - User session id.
      `packageId` - The package id.
    Returns:
      List of releases within the specified package.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `SystemFault` - when an unexpected system error occurs.
      `RemoteException`
    Since:
      4.1

  - ### createRelease

    ReleaseSoapDO createRelease(String sessionId, String packageId, String title, String description, String status, String maturity) throws RemoteException
    Creates a new release within a specified package. 'obsolete' status value is supported since TeamForge 20.1
    Parameters:
      `sessionId` - User session id.
      `packageId` - The package id.
      `title` - Release title.
      `description` - Release description.
      `status` - Release status ("active", "pending", "obsolete")
      `maturity` - Maturity level ("Alpha", etc.)
    Returns:
      Newly created release object.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `IllegalArgumentFault` - when one or more parameters are invalid.
      `SystemFault` - when an unexpected system error occurs.
      `RemoteException`
    Since:
      4.1

  - ### deleteRelease

    void deleteRelease(String sessionId, String releaseId) throws RemoteException
    Deletes the specified release.
    Parameters:
      `sessionId` - User session id.
      `releaseId` - The release id.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `SystemFault` - when an unexpected system error occurs.
      `RemoteException`
    Since:
      4.1

  - ### getReleaseData

    ReleaseSoapDO getReleaseData(String sessionId, String releaseId) throws RemoteException
    Returns the specified release data.
    Parameters:
      `sessionId` - User session id.
      `releaseId` - The release id.
    Returns:
      Release data.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `SystemFault` - when an unexpected system error occurs.
      `RemoteException`
    Since:
      4.1

  - ### setReleaseData

    void setReleaseData(String sessionId, ReleaseSoapDO releaseData) throws RemoteException
    Sets the specified release data. 'obsolete' status value is supported since TeamForge 20.1
    Parameters:
      `sessionId` - User session id.
      `releaseData` - The release object.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `VersionMismatchFault` - when package data is stale.
      `IllegalArgumentFault` - when release data is invalid.
      `SystemFault` - when an unexpected system error occurs.
      `RemoteException`
    Since:
      4.1

  - ### createFrsFile

    FrsFileSoapDO createFrsFile(String sessionId, String releaseId, String fileName, String mimeType, String fileId) throws RemoteException
    Creates a new FRS file and adds it to the specified release.
    Parameters:
      `sessionId` - User session id.
      `releaseId` - The release id.
      `fileName` - Name of the attached file.
      `mimeType` - File mime type.
      `fileId` - Uploaded file id (through FileStorageApp or SimpleFileStorageApp service).
    Returns:
      Newly created frs file object.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `IllegalArgumentFault` - when one or more parameters are invalid.
      `SystemFault` - when an unexpected system error occurs.
      `RemoteException`
    Since:
      4.1

  - ### getFrsFileData

    FrsFileSoapDO getFrsFileData(String sessionId, String frsFileId) throws RemoteException
    Gets FRS file data.
    Parameters:
      `sessionId` - SOAP session id.
      `frsFileId` - FRS file id of the object to retrieve.
    Returns:
      the FRS file data.
    Throws:
      `InvalidSessionFault` - when SOAP session id is invalid.
      `NoSuchObjectFault` - when frsFileId does not exist.
      `PermissionDeniedFault` - when permissions are insufficient.
      `SystemFault` - when an unexpected error occurs.
      `IllegalArgumentFault` - when an argument is invalid.
      `RemoteException`
    Since:
      4.2

  - ### getFrsFileList

    FrsFileSoapList getFrsFileList(String sessionId, String releaseId) throws RemoteException
    Returns a list of files within a release.
    Parameters:
      `sessionId` - User session id.
      `releaseId` - The release id.
    Returns:
      List of files within the specified release.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `SystemFault` - when an unexpected system error occurs.
      `RemoteException`
    Since:
      4.1

  - ### deleteFrsFile

    void deleteFrsFile(String sessionId, String frsFileId) throws RemoteException
    Deletes the specified file.
    Parameters:
      `sessionId` - User session id.
      `frsFileId` - The frs file id.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `SystemFault` - when an unexpected system error occurs.
      `RemoteException`
    Since:
      4.1

  - ### getFrsFileId

    String getFrsFileId(String sessionId, String frsFileId) throws RemoteException
    Returns a temporary file storage object id to download an FRS file.
    Parameters:
      `sessionId` - User session id.
      `frsFileId` - FRS File id.
    Returns:
      File storage id (for download using FileStorageService or SimpleFileStorageService).
    Throws:
      `InvalidSessionFault` - when the sessionId is invalid.
      `PermissionDeniedFault` - when permission is denied for the specified operation.
      `NoSuchObjectFault` - when the specified object is invalid.
      `SystemFault` - when an unexpected system error occurs.
      `RemoteException`
    Since:
      4.1

  - ### createFrsFile2

    FrsFile2SoapDO createFrsFile2(String sessionId, String releaseId, String fileName, String mimeType, String fileId) throws RemoteException
    Creates a new FRS file and adds it to the specified release.
    Parameters:
      `sessionId` - User session id.
      `releaseId` - The release id.
      `fileName` - Name of the attached file.
      `mimeType` - File mime type.
      `fileId` - Uploaded file id (through FileStorageApp or SimpleFileStorageApp service).
    Returns:
      Newly created frs file object.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `IllegalArgumentFault` - when one or more parameters are invalid.
      `SystemFault` - when an unexpected system error occurs.
      `RemoteException`
    Since:
      23.1

  - ### getFrsFileData2

    FrsFile2SoapDO getFrsFileData2(String sessionId, String frsFileId) throws RemoteException
    Gets FRS file data.
    Parameters:
      `sessionId` - SOAP session id.
      `frsFileId` - FRS file id of the object to retrieve.
    Returns:
      the FRS file data.
    Throws:
      `InvalidSessionFault` - when SOAP session id is invalid.
      `NoSuchObjectFault` - when frsFileId does not exist.
      `PermissionDeniedFault` - when permissions are insufficient.
      `SystemFault` - when an unexpected error occurs.
      `IllegalArgumentFault` - when an argument is invalid.
      `RemoteException`
    Since:
      23.1

  - ### getFrsFileList2

    FrsFile2SoapList getFrsFileList2(String sessionId, String releaseId) throws RemoteException
    Returns a list of files within a release.
    Parameters:
      `sessionId` - User session id.
      `releaseId` - The release id.
    Returns:
      List of files within the specified release.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `SystemFault` - when an unexpected system error occurs.
      `RemoteException`
    Since:
      23.1

  - ### getArtifactListReportedInRelease

    ArtifactSoapList getArtifactListReportedInRelease(String sessionId, String releaseId) throws RemoteException
    Lists artifacts that were found in the given release.
    Parameters:
      `sessionId` - User session id.
      `releaseId` - The id of the release
    Returns:
      List of the artifacts reported in the given release.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `RemoteException`
    Since:
      5.3

  - ### getArtifactListReportedInRelease2

    Artifact2SoapList getArtifactListReportedInRelease2(String sessionId, String releaseId) throws RemoteException
    Lists artifacts that were found in the given release.
    Parameters:
      `sessionId` - User session id.
      `releaseId` - The id of the release
    Returns:
      List of the artifacts reported in the given release.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `RemoteException`
    Since:
      8.0

  - ### getArtifactListResolvedInRelease

    ArtifactSoapList getArtifactListResolvedInRelease(String sessionId, String releaseId) throws RemoteException
    Lists artifacts that were resolved in the given release.
    Parameters:
      `sessionId` - User session id.
      `releaseId` - The id of the release
    Returns:
      List of the artifacts resolved in the given release.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `RemoteException`
    Since:
      5.3

  - ### getArtifactListResolvedInRelease2

    Artifact2SoapList getArtifactListResolvedInRelease2(String sessionId, String releaseId) throws RemoteException
    Lists artifacts that were resolved in the given release.
    Parameters:
      `sessionId` - User session id.
      `releaseId` - The id of the release
    Returns:
      List of the artifacts resolved in the given release.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `RemoteException`
    Since:
      8.0